Jump to content
Greg

Spectralayers 8 out

Recommended Posts

I do like this program. I will be checking out the SP8 forum over the next several weeks to make sure no major incompatibility changes were added!

  • Like 1

Share this post


Link to post
Share on other sites

FREE for me! :P  Just waiting on the Serial #!

  • Like 2

Share this post


Link to post
Share on other sites

Looks like they've reduced prices - maybe as part of a July 4th sale yet to be announced(?)
New prices...
Update from Pro 7 is  $63.99
Update from Pro 6 is $79.99
Updates from earlier versions are $159.99

For @cclarry still free.

 

  • Haha 1

Share this post


Link to post
Share on other sites
Posted (edited)

It’s the first bit of software I’ve bought this year. Upgraded from V6 for AUD$119

 

The last software I bought before that was an upgrade to Studio One 5 Pro about a year ago. Just don’t have that burning desire to buy new software anymore. Especially the never ending plugin update merry go round. I haven’t updated any of my paid plugins for over a year.  I have the Melda Total FX Bundle so it gets updated free for life.
 

My vast other collection of programs and plugins is frozen at late 2019 versions with my Waves WUP having expired early last year.  Actually my Waves Soundgrid software is up to date till Oct 2021 as I need it active to use my Digigrid  Hardware. 
 

I’ve finally worked out that if I can’t make a quality recording with what I’ve got, well then having the latest version of the same thing won’t really help. 
 

I used to proudly proclaim being infected/afflicted with GAS; am I sick or have I become well?

Edited by Michael Vogel
  • Like 2

Share this post


Link to post
Share on other sites
1 hour ago, Sander Verstraten said:

Apparently you can install Spectralayers 8 if you got Cubase Pro and it will automatically open it as Spectralayers 8 One.

Is that equivalent to Pro version or is it a lite version?

Share this post


Link to post
Share on other sites
1 hour ago, TheSteven said:

Is that equivalent to Pro version or is it a lite version?

SP 8 one, It is a lite version. Most of the time ,from what I read, folks should install last, SPpro8, version. Then Cubase should correctly display the highest version. 

  • Like 1

Share this post


Link to post
Share on other sites

And of course you have to have your licenses correctly displayed on the elicensor. 

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×
×
  • Create New...